#include<iostream>
using namespace std;
int main(){
int d,m,y;
cin>>d>>m>>y;
int monthMax[12];
monthMax[0]=31;
monthMax[1]=28;
monthMax[2]=31;
monthMax[3]=30;
monthMax[4]=31;
monthMax[5]=30;
monthMax[6]=31;
monthMax[7]=31;
monthMax[8]=30;
monthMax[9]=31;
monthMax[10]=30;
monthMax[11]=31;
if(y%400==0||(y%100!=0&&y%4==0)){
monthMax[1]=29;
}
d++;
if(d>monthMax[m-1]){
    d=1;
    m++;
}
if(m>12){
    m=1;
    y++;
}
cout<<d<<" "<<m<<" "<<y;
return 0;
}
